Package org.apache.groovy.parser.antlr4.util

# Class StringUtils

java.lang.Object
org.apache.groovy.parser.antlr4.util.StringUtils

    public class StringUtils
    extends Object

Utilities for handling strings

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `DOLLAR_SLASHY` |
  `static int` | `NONE_SLASHY` |
  `static int` | `SLASHY` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `StringUtils()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static long` | `countChar​(String text, char c)` |
  `static boolean` | `isEmpty​(CharSequence cs)` | Copied from Apache commons-lang3-3.6
  `static boolean` | `matches​(String text, Pattern pattern)` |
  `static String` | `removeCR​(String text)` |
  `static String` | `replace​(String text, String searchString, String replacement)` | The modified implementation is based on StringUtils#replace(String text, String searchString, String replacement, int max), Apache commons-lang3-3.6
  `static String` | `replaceEscapes​(String text, int slashyType)` |
  `static String` | `replaceHexEscapes​(String text)` |
  `static String` | `replaceOctalEscapes​(String text)` |
  `static String` | `replaceStandardEscapes​(String text)` |
  `static String` | `trimQuotations​(String text, int quotationLength)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NONE_SLASHY

    public static final int NONE_SLASHY
    See Also:
      Constant Field Values

  - ### SLASHY

    public static final int SLASHY
    See Also:
      Constant Field Values

  - ### DOLLAR_SLASHY

    public static final int DOLLAR_SLASHY
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### StringUtils

    public StringUtils()

- ## Method Details

  - ### replaceHexEscapes

    public static String replaceHexEscapes​(String text)

  - ### replaceOctalEscapes

    public static String replaceOctalEscapes​(String text)

  - ### replaceStandardEscapes

    public static String replaceStandardEscapes​(String text)

  - ### replaceEscapes

    public static String replaceEscapes​(String text, int slashyType)

  - ### removeCR

    public static String removeCR​(String text)

  - ### countChar

    public static long countChar​(String text, char c)

  - ### trimQuotations

    public static String trimQuotations​(String text, int quotationLength)

  - ### matches

    public static boolean matches​(String text, Pattern pattern)

  - ### replace

    public static String replace​(String text, String searchString, String replacement)
    The modified implementation is based on StringUtils#replace(String text, String searchString, String replacement, int max), Apache commons-lang3-3.6

    Replaces all occurrences of a String within another String.

    A `null` reference passed to this method is a no-op.

         StringUtils.replace(null, *, *)        = null
         StringUtils.replace("", *, *)          = ""
         StringUtils.replace("any", null, *)    = "any"
         StringUtils.replace("any", *, null)    = "any"
         StringUtils.replace("any", "", *)      = "any"
         StringUtils.replace("aba", "a", null)  = "aba"
         StringUtils.replace("aba", "a", "")    = "b"
         StringUtils.replace("aba", "a", "z")   = "zbz"

    Parameters:
      `text` - text to search and replace in, may be null
      `searchString` - the String to search for, may be null
      `replacement` - the String to replace it with, may be null
    Returns:
      the text with any replacements processed, `null` if null String input

  - ### isEmpty

    public static boolean isEmpty​(CharSequence cs)
    Copied from Apache commons-lang3-3.6

    Checks if a CharSequence is empty ("") or null.

         StringUtils.isEmpty(null)      = true
         StringUtils.isEmpty("")        = true
         StringUtils.isEmpty(" ")       = false
         StringUtils.isEmpty("bob")     = false
         StringUtils.isEmpty("  bob  ") = false

    NOTE: This method changed in Lang version 2.0. It no longer trims the CharSequence. That functionality is available in isBlank().

    Parameters:
      `cs` - the CharSequence to check, may be null
    Returns:
      `true` if the CharSequence is empty or null